Subject: Re: bug#28502: 25.3; list-packages ends with "error in process filter: End of file during parsing"

From: Alex Branham <[email-masked]>
Date: Wed, 27 Sep 2017 09:50:41 -0500

On Wed 27 Sep 2017 at 14:47, Michael Heerdegen <[email-masked]> wrote:

>> Perhaps there should be some sort of package-force-archive-refresh
>> function to force overwriting the archive contents?
>
> No, normally this should never happen, there seems to be a problem with
> inconsistent or broken package caches.  We need to find out what goes
> wrong.

I'm betting that during a package-refresh-contents call the internet disconnected and that this somehow messed up the package cache.

>
> Have you made a backup of the files you deleted btw?  They could be
> useful for debugging.

No, unfortunately I didn't. If it happens again I will do so.